
D4Science Infrastructure - Task #10769

Enable ldap authentication on grafana.d4science.org

Dec 20, 2017 12:43 PM - Andrea Dell'Amico

Status: Closed Start date: Dec 20, 2017

Priority: Urgent Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Metrics monitoring   

Infrastructure: Production   

Description

Natively in the grafana configuration

History

#1 - Dec 20, 2017 06:07 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Dec 20, 2017 09:15 PM - Andrea Dell'Amico

- % Done changed from 0 to 60

Yet to find how to match the groups

#3 - Dec 21, 2017 12:33 PM - Andrea Dell'Amico

- % Done changed from 60 to 100

Done. There's what I guess it's a bug, because if I set the mail field correctly the authentication fails because it says that the email field is not unique. I

did not check if there's a user with more than one email address but the operation should not fail anyway.

#4 - Dec 21, 2017 12:34 PM - Andrea Dell'Amico

- % Done changed from 100 to 90

Now I'll move the configuration to a postgresql database.

#5 - Dec 21, 2017 02:13 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Done. I also added the hadoop dashboards to show some data.
